View Issue Details

IDProjectCategoryView StatusLast Update
15660Bug reports[All Projects] Otherpublic2020-01-15 16:36
Reportercdorin Assigned ToJHoeck  
PrioritynoneSeveritymajor 
Status resolvedResolutionfixed 
Product Version4.0.0-RC11 
Target VersionFixed in Version 
Summary15660: Question code is editable when survey is active - LimeSurvey 4
Description

You can edit the question code when the survey is active

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Relationships

parent of 15719 resolvedJHoeck Unable to edit question title if survey is activated 

Activities

JHoeck

JHoeck

2020-01-03 12:48

manager   ~55121

Fixed in branch: origin/bug/issue-15660-question-code-is-editable-survey-active

DenisChenu

DenisChenu

2020-01-04 11:27

developer   ~55127

? Why not ?

Only subquestion code can not be edited. You can edit question code in master without issue.

JHoeck

JHoeck

2020-01-15 15:37

manager   ~55294

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29391

DenisChenu

DenisChenu

2020-01-15 15:59

developer   ~55296

? Why not ?

Only subquestion code can not be edited. You can edit question code in master without issue.

You can edit question code in 3.X and before without any issue

DenisChenu

DenisChenu

2020-01-15 16:36

developer   ~55299

https://bugs.limesurvey.org/view.php?id=15719

Related Changesets

LimeSurvey: master 100d8f43

2020-01-03 12:42:39

JHoeck

Details Diff
Fixed 15660: Question code is editable when survey is active Affected Issues
15660
mod - assets/packages/questioneditor/src/App.vue Diff File

Issue History

Date Modified Username Field Change
2019-12-16 10:40 cdorin New Issue
2020-01-03 12:48 JHoeck Assigned To => JHoeck
2020-01-03 12:48 JHoeck Status new => assigned
2020-01-03 12:48 JHoeck Status assigned => resolved
2020-01-03 12:48 JHoeck Resolution open => fixed
2020-01-03 12:48 JHoeck Note Added: 55121
2020-01-04 11:27 DenisChenu Note Added: 55127
2020-01-15 15:37 JHoeck Changeset attached => LimeSurvey master 100d8f43
2020-01-15 15:37 JHoeck Note Added: 55294
2020-01-15 15:59 DenisChenu Note Added: 55296
2020-01-15 16:36 DenisChenu Relationship added parent of 15719
2020-01-15 16:36 DenisChenu Note Added: 55299